/* jshint -W097 */ // don't warn about "use strict"
"use strict";

import * as VueRouter from 'vue-router';

const Apps = () => import('./components/NervTNApps.vue');
const Dashboard = () => import('./components/Dashboard.vue');
const NavMessage = () => import('./components/message/NavMessage.vue');
const Chat = () => import('./components/message/Chat.vue');
const Correspondance = () => import('./components/message/Correspondance.vue');
const NavContact = () => import('./components/contact/NavContact.vue');
const Profile = () => import('./components/contact/Profile.vue');
const ContactsList = () => import('./components/contact/ContactsList.vue');


const routes = [
    {
        path: '/',
        name: "Dashboard",
        components: {
            default: Dashboard,
            //Links: {},
            //Sidebar: {},
            //ActionBar: {}
        }
    },
    {
        path: '/apps',
        name: "Apps",
        components: {
            default: Apps,
            //Links: {},
            //Sidebar: {},
            //ActionBar: {}
        }
    },
    {
        path: '/navMessage',
        name: "NavMessage",
        components: {
            default: NavMessage,
            //Links: {},
            //Sidebar: {},
            //ActionBar: {}
        }
    },
    {
        path: '/navMessage/chat',
        name: "Chat",
        components: {
            default: Chat,
            //Links: {},
            //Sidebar: {},
            //ActionBar: {}
        }
    },
    {
        path: '/navMessage/correspondance',
        name: "Correspondance",
        components: {
            default: Correspondance,
            //Links: {},
            //Sidebar: {},
            //ActionBar: {}
        }
    },
    {
        path: '/navContact',
        name: "NavContact",
        components: {
            default: NavContact,
            //Links: {},
            //Sidebar: {},
            //ActionBar: {}
        }
    },
    {
        path: '/navContact/profile',
        name: "Profile",
        components: {
            default: Profile,
            //Links: {},
            //Sidebar: {},
            //ActionBar: {}
        }
    },
    {
        path: '/navContact/contactsList',
        name: "ContactsList",
        components: {
            default: ContactsList,
            //Links: {},
            //Sidebar: {},
            //ActionBar: {}
        }
    },
    {
        path: '/:errorPath(.*)*',
        name: "NotFound",
        components: {
            default: Apps,
            //Links: {},
            //Sidebar: {},
            //ActionBar: {}
        }
    }
];

const router = VueRouter.createRouter({
    history: VueRouter.createWebHashHistory(),
    routes
});

export default router;
